# SWDB

# \K_Building

Building.

Represents an object from the table 'k_building'.

## Summary

Methods
Properties
Constants
__construct()
get_image()
$db
$id
$name
$description
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  application/entity/K_Building.php
Package
  Default
Class hierarchy
  \Entity
  \K_Building

## Tags

category | Entity

## Properties

### $db

    $db : resource

#### Type

resource — Database connection.

#

Inherited from
  \Entity

## Tags

None found

### $id

    $id : integer

#### Type

integer — Building identifier.

#

## Tags

None found

### $name

    $name : string

#### Type

string — Building name.

#

## Tags

None found

### $description

    $description : string

#### Type

string — Building description.

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $db, integer  $id)

Constructor.

Searches the database and retrieves the information about the building, populating it and it's items.

#### Parameters

resource | $db | Connection to the database.
integer | $id | Building identifier.

#

## Tags

None found

### get_image()

    get_image() : string

Gets the path to the building image. The image must be in the img/building/ directory, and its name must be the monster id, padded with '0' to 4 digites, and the extension must be '.png'.

#### Returns

string —

Image URL, or a fixed unknown image.

#

## Tags

None found

### K_Building.php